## limnoria 2019.02.23

=== requirements.txt ===
chardet
pytz
python-dateutil
python-gnupg
feedparser
sqlalchemy
PySocks
mock
ecdsa

## limnoria 2016.05.06

=== debian/changelog ===
limnoria (2016.05.06-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 30 May 2016 23:13:24 +0000

limnoria (2016.05.06-2) unstable; urgency=medium

  * Update Recommends, based on upstream suggestion.
  * Move python3 hint from the short description to the extended.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 26 May 2016 14:26:24 +0000

limnoria (2016.05.06-1) unstable; urgency=medium

  * Initial release. (Closes: #764371)

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 22 May 2016 14:42:49 +0000

=== debian/control ===
Source: limnoria
Section: net
Priority: optional
Maintainer: Mattia Rizzolo <mattia@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 iputils-ping,
 procps,
 python3-all,
 python3-dateutil,
 python3-feedparser,
 python3-setuptools,
 python3-tz,
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/collab-maint/limnoria.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/limnoria.git
Homepage: https://github.com/ProgVal/Limnoria

Package: limnoria
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 procps,
 python3-chardet,
 python3-dateutil,
 python3-ecdsa,
 python3-feedparser,
 python3-gnupg,
 python3-socks,
 python3-tz,
Conflicts:
 supybot,
Description: robust and user-friendly Python IRC bot
 A robust, full-featured Python IRC bot with a clean and flexible plugin API.
 Equipped with a complete ACL system for specifying user permissions with as
 much as per-command granularity. Batteries are included in the form of
 numerous plugins already written.
 .
 Limnoria is robust (it doesn't crash), user friendly (it's easy to configure)
 and programmer friendly (plugins are *extremely* easy to write).  It aims to
 be an adequate replacement for most existing IRC bots.
 .
 It is the maintained fork of supybot.
 .
 This package provides Python 3-only modules and scripts.

=== debian/watch ===
version=3

opts=\
uversionmangle=s/([0-9]+)-([0-9]+)-([0-9]+)T.*/$1.$2.$3/,\
pgpsigurlmangle=s/$/.asc/ \
http://pypi.debian.net/limnoria/limnoria-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## limnoria 2016.06.29

=== debian/changelog ===
limnoria (2016.06.29-1) unstable; urgency=medium

  * Imported Upstream version 2016.06.29.
  * d/control: Recommend iputils-ping (for the Unix plugin)
  * d/watch: add a filenamemangle to avoid having to rename the file myself.
  * Add an autopkgtest running the upstream testsuit against the
    installed package.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 01 Jul 2016 11:53:32 +0000

=== debian/control ===
--- 
+++ 
@@ -23,6 +23,7 @@
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
+ iputils-ping,
  procps,
  python3-chardet,
  python3-dateutil,

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=limnoria

%:
	dh $@ --with python3 --buildsystem pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	LC_ALL=C.UTF-8 \
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} \
		build/scripts-{version}/supybot-test \
		test \
		--no-network \
		--disable-multiprocessing \
		--plugins-dir={build_dir}/supybot/plugins/" \
	dh_auto_test
else
	@echo "Skipping test suite as DEB_BUILD_OPTIONS=nocheck is set"
endif

## limnoria 2016.08.07

=== debian/changelog ===
limnoria (2016.08.07-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 15 Aug 2016 14:05:24 +0000

limnoria (2016.08.07-1) unstable; urgency=medium

  * Imported Upstream version 2016.08.07.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 09 Aug 2016 12:24:43 +0000

limnoria (2016.06.29-2) unstable; urgency=medium

  * Try to fix autopkgtest failure by touching a 'src' file, to hopefully trick
    the testsuite in believing the sources are near it.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 16 Jul 2016 12:41:01 +0000

## limnoria 2016.10.02

=== debian/changelog ===
limnoria (2016.10.02-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 17 Oct 2016 11:28:15 +0000

limnoria (2016.10.02-1) unstable; urgency=medium

  * Bump debhelper compat level to 10.  No changes needed.
  * New upstream version 2016.10.02

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 08 Oct 2016 14:49:14 +0000

## limnoria 2016.11.28

=== debian/changelog ===
limnoria (2016.11.28-1) unstable; urgency=medium

  * New upstream version 2016.11.28

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 04 Dec 2016 14:53:26 +0100

## limnoria 2016.12.08

=== debian/changelog ===
limnoria (2016.12.08-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 01 Jan 2017 14:25:09 +0100

limnoria (2016.12.08-1) unstable; urgency=medium

  * New upstream version 2016.12.08.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 15 Dec 2016 08:40:27 +0100

## limnoria 2017.01.10

=== debian/changelog ===
limnoria (2017.01.10-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 11 Feb 2017 17:55:44 +0100

limnoria (2017.01.10-1) unstable; urgency=medium

  * New upstream version 2017.01.10.
  * d/rules: use the new --no-setuid to skip tests that might require a
    setuid binary (like /bin/ping in some hosts without settcap) as they
    wouldn't work under libeatmydata.  Closes: #834950

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 31 Jan 2017 11:59:27 +0100

=== debian/watch ===
version=3

opts=\
uversionmangle=s/([0-9]+)-([0-9]+)-([0-9]+)T.*/$1.$2.$3/,\
filenamemangle=s/limnoria-([\d.]+).tar/limnoria_$1.orig.tar/,\
pgpsigurlmangle=s/$/.asc/ \
http://pypi.debian.net/limnoria/limnoria-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## limnoria 2017.03.30

=== debian/changelog ===
limnoria (2017.03.30-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 20 Jun 2017 11:37:27 +0200

limnoria (2017.03.30-1) unstable; urgency=medium

  * New upstream version 2017.03.30.
  * Update upstream signing key.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 07 Jun 2017 23:29:12 +0200

## limnoria 2017.08.03

=== debian/changelog ===
limnoria (2017.08.03-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 15 Aug 2017 10:23:35 +0200

limnoria (2017.08.03-1) unstable; urgency=medium

  * Team upload.

  [ Unit 193 ]
  * New upstream version 2017.08.03
  * d/copyright: Use https wherever possible.
  * Update Standards-Version to 4.0.1.

  [ Mattia Rizzolo ]
  * Claim copyright over debian/* for 2017 as well.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 10 Aug 2017 05:47:18 -0400

## limnoria 2017.08.18

=== debian/changelog ===
limnoria (2017.08.18-1) unstable; urgency=medium

  * New upstream version 2017.08.18.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 19 Aug 2017 14:59:07 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Mattia Rizzolo <mattia@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  dh-python,
  iputils-ping,
  procps,
@@ -12,7 +12,7 @@
  python3-feedparser,
  python3-setuptools,
  python3-tz,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/limnoria.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/limnoria.git
 Homepage: https://github.com/ProgVal/Limnoria

## limnoria 2017.10.01

=== debian/changelog ===
limnoria (2017.10.01-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 05 Nov 2017 00:50:43 +0100

limnoria (2017.10.01-1) unstable; urgency=medium

  * New upstream version 2017.10.01.
  * d/copyright: update after the new upstream.
  * d/control:
    + Bump Standards-Version to 4.1.1, no changes needed.
    + Declare limnoria can be built without root, R³:no.
  * d/watch:
    + cheat with filenamemangle to save the file in the parent directory.
    + use HTTPS.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 27 Oct 2017 23:34:16 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,8 @@
  python3-feedparser,
  python3-setuptools,
  python3-tz,
-Standards-Version: 4.0.1
+Rules-Requires-Root: no
+Standards-Version: 4.1.1
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/limnoria.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/limnoria.git
 Homepage: https://github.com/ProgVal/Limnoria

## limnoria 2018.01.25

=== debian/changelog ===
limnoria (2018.01.25-1ubuntu18.04.1) bionic; urgency=medium

  * Add patch from upstream to fix remote information disclosure and
    possibly remote code execution in the Math plugin.
    LP: #1852859; CVE-2019-19010

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 12 Nov 2019 17:02:42 +0100

limnoria (2018.01.25-1) unstable; urgency=medium

  * New upstream version 2018.01.25.
  * d/copyright: Update.
  * Bump debhelper compat level to 11.
  * d/control:
    + Bump Standards-Version to 4.1.3, no changes needed.
    + Update Vcs-* fields to point to salsa.debian.org.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 29 Jan 2018 22:56:56 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Mattia Rizzolo <mattia@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  dh-python,
  iputils-ping,
  procps,
@@ -13,9 +13,9 @@
  python3-setuptools,
  python3-tz,
 Rules-Requires-Root: no
-Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/limnoria.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/limnoria.git
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/debian/limnoria.git
+Vcs-Browser: https://salsa.debian.org/debian/limnoria
 Homepage: https://github.com/ProgVal/Limnoria
 
 Package: limnoria

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 	PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} \
 		build/scripts-{version}/supybot-test \
 		test \
+		--no-setuid \
 		--no-network \
 		--disable-multiprocessing \
 		--plugins-dir={build_dir}/supybot/plugins/" \

## limnoria 2018.04.14

=== debian/changelog ===
limnoria (2018.04.14-1) unstable; urgency=medium

  * New upstream version 2018.04.14
  * Update Standards-Version to 4.1.4.
  * d/p/version: Fix typo in patch description.
  * d/control: Add myself to uploaders.

 -- Unit 193 <unit193@ubuntu.com>  Sun, 22 Apr 2018 14:18:51 -0400

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Mattia Rizzolo <mattia@debian.org>
+Uploaders: Unit 193 <unit193@ubuntu.com>
 Build-Depends:
  debhelper (>= 11),
  dh-python,
@@ -13,7 +14,7 @@
  python3-setuptools,
  python3-tz,
 Rules-Requires-Root: no
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Vcs-Git: https://salsa.debian.org/debian/limnoria.git
 Vcs-Browser: https://salsa.debian.org/debian/limnoria
 Homepage: https://github.com/ProgVal/Limnoria

## limnoria 2018.06.25

=== debian/changelog ===
limnoria (2018.06.25-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Unit 193 <unit193@ubuntu.com>  Tue, 03 Jul 2018 08:57:56 -0400

limnoria (2018.06.25-1) unstable; urgency=medium

  * New upstream version 2018.06.25
    - Refresh patch.

 -- Unit 193 <unit193@ubuntu.com>  Mon, 25 Jun 2018 19:25:15 -0400

## limnoria 2018.09.09

=== debian/changelog ===
limnoria (2018.09.09-1) unstable; urgency=medium

  [ Unit 193 ]
  * New upstream version 2018.09.09
  * Update Standards-Version to 4.2.1.

  [ Mattia Rizzolo ]
  * d/copyright: Update.
  * d/tests:
    + control: Test-depend on @builddeps@ instead of using needs-recommends.
    + upstream-tests: use $AUTOPKGTEST_TMP instead of the obsolete $ADTTMP.
  * d/control:
    + Build depend on debhelper-comat (=11) instead of debhlper,
      also dropping d/compat.
    + Add some <!nocheck> build profiles.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 12 Sep 2018 21:59:25 +0200

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,20 @@
 Section: net
 Priority: optional
 Maintainer: Mattia Rizzolo <mattia@debian.org>
-Uploaders: Unit 193 <unit193@ubuntu.com>
+Uploaders:
+ Unit 193 <unit193@ubuntu.com>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 11),
  dh-python,
- iputils-ping,
+ iputils-ping <!nocheck>,
  procps,
  python3-all,
- python3-dateutil,
- python3-feedparser,
+ python3-dateutil <!nocheck>,
+ python3-feedparser <!nocheck>,
  python3-setuptools,
- python3-tz,
+ python3-tz <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/debian/limnoria.git
 Vcs-Browser: https://salsa.debian.org/debian/limnoria
 Homepage: https://github.com/ProgVal/Limnoria

## limnoria 2018.12.19

=== debian/changelog ===
limnoria (2018.12.19-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Unit 193 <unit193@ubuntu.com>  Sat, 05 Jan 2019 17:26:27 -0500

limnoria (2018.12.19-1) unstable; urgency=medium

  * d/t/upstream-tests: Run tests against all python versions.
  * New upstream version 2018.12.19
  * Update Standards-Version to 4.3.0.
  * d/control: Bump dh compat to 12.

 -- Unit 193 <unit193@ubuntu.com>  Wed, 02 Jan 2019 04:55:17 -0500

## limnoria 2019.02.23

=== debian/changelog ===
limnoria (2019.02.23-1+deb10u1) buster; urgency=medium

  * Add patch from upstream to fix remote information disclosure and
    possibly remote code execution in the Math plugin.  CVE-2019-19010

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 12 Nov 2019 16:43:35 +0100

limnoria (2019.02.23-1) unstable; urgency=medium

  * New upstream version 2019.02.23
  * d/t/upstream-tests: Remove 'unix call' test workaround, fixed upstream.

 -- Unit 193 <unit193@ubuntu.com>  Fri, 22 Feb 2019 19:52:11 -0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Unit 193 <unit193@ubuntu.com>,
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 12),
  dh-python,
  iputils-ping <!nocheck>,
  procps,
@@ -15,7 +15,7 @@
  python3-setuptools,
  python3-tz <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/debian/limnoria.git
 Vcs-Browser: https://salsa.debian.org/debian/limnoria
 Homepage: https://github.com/ProgVal/Limnoria

## limnoria 2019.05.28

=== debian/changelog ===
limnoria (2019.05.28-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 18 Jul 2019 17:47:28 +0200

limnoria (2019.05.28-1) unstable; urgency=medium

  * New upstream version 2019.05.28
  * Update Standards-Version to 4.4.0.

 -- Unit 193 <unit193@ubuntu.com>  Wed, 17 Jul 2019 22:39:35 -0400

## limnoria 2019.08.25

=== debian/changelog ===
limnoria (2019.08.25-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 29 Aug 2019 11:40:35 +0200

limnoria (2019.08.25-1) unstable; urgency=medium

  * New upstream version 2019.08.25

 -- Unit 193 <unit193@ubuntu.com>  Mon, 26 Aug 2019 19:25:09 -0400

## limnoria 2019.09.08

=== debian/changelog ===
limnoria (2019.09.08-1) unstable; urgency=medium

  * New upstream version 2019.09.08

 -- Unit 193 <unit193@ubuntu.com>  Sun, 08 Sep 2019 18:42:40 -0400

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-setuptools,
  python3-tz <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/debian/limnoria.git
 Vcs-Browser: https://salsa.debian.org/debian/limnoria
 Homepage: https://github.com/ProgVal/Limnoria

## limnoria 2019.10.22

=== debian/changelog ===
limnoria (2019.10.22-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 04 Nov 2019 15:50:02 +0100

limnoria (2019.10.22-1) unstable; urgency=medium

  * New upstream version 2019.10.22.
  * Update copyright.
  * Add patch workarounding (?) a failing test.
  * d/rules: Workaround a missing file from the tarball that
    prevented quite a few tests from running.
  * d/control: Bump Standards-Version to 4.4.1, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 28 Oct 2019 16:25:19 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,14 @@
 %:
 	dh $@ --with python3 --buildsystem pybuild
 
+override_dh_clean:
+	# https://github.com/ProgVal/Limnoria/issues/1384
+	dh_clean test/__init__.py
+
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	# https://github.com/ProgVal/Limnoria/issues/1384
+	echo "from . import test" > test/__init__.py
 	LC_ALL=C.UTF-8 \
 	PYBUILD_SYSTEM=custom \
 	PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} \

## limnoria 2019.11.09

=== debian/changelog ===
limnoria (2019.11.09-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 14 Nov 2019 10:50:36 +0100

limnoria (2019.11.09-2) unstable; urgency=medium

  * Add a patch from upstream to fix timeout errors during tests.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 11 Nov 2019 18:44:23 +0100

limnoria (2019.11.09-1) unstable; urgency=medium

  * New upstream version 2019.11.09.
    - Drop patch, fixed upstream.
  * d/rules, d/t/upstream-tests:
    - Drop workaround to generate test/__init__.py, included in tarballs.

 -- Unit 193 <unit193@ubuntu.com>  Sun, 10 Nov 2019 07:49:47 -0500

## limnoria 2019.11.22

=== debian/changelog ===
limnoria (2019.11.22-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 02 Dec 2019 10:44:55 +0100

limnoria (2019.11.22-1) unstable; urgency=medium

  * New upstream version 2019.11.22
    - Drop upstream patch.

 -- Unit 193 <unit193@ubuntu.com>  Tue, 26 Nov 2019 18:25:53 -0500

## limnoria 2019.12.15

=== debian/changelog ===
limnoria (2019.12.15-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 28 Dec 2019 23:30:20 +0100

limnoria (2019.12.15-1) unstable; urgency=medium

  * New upstream version 2019.12.15.
    + Fix SyntaxWarning.  Closes: #945569

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 25 Dec 2019 22:47:52 +0100

## limnoria 2020.01.01

=== debian/changelog ===
limnoria (2020.01.01-1) unstable; urgency=medium

  * New upstream version 2020.01.01.

 -- Unit 193 <unit193@ubuntu.com>  Fri, 03 Jan 2020 18:26:15 -0500

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-setuptools,
  python3-tz <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/debian/limnoria.git
 Vcs-Browser: https://salsa.debian.org/debian/limnoria
 Homepage: https://github.com/ProgVal/Limnoria

## limnoria 2020.01.09

=== debian/changelog ===
limnoria (2020.01.09-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 19 Jan 2020 10:53:26 +0100

limnoria (2020.01.09-2) unstable; urgency=medium

  * d/copyright: add missing attribution for a new plugin.
  * Drop --disable-multiprocessing from the autopkgtest command as well, not
    needed anymore and causing a test failure now.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 11 Jan 2020 15:09:04 +0100

limnoria (2020.01.09-1) unstable; urgency=medium

  * New upstream version 2020.01.09.
  * d/rules: Drop --disable-multiprocessing from test invocation.
  * d/copyright: Update years.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 09 Jan 2020 21:27:04 -0500

## limnoria 2020.01.31

=== debian/changelog ===
limnoria (2020.01.31-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 03 Feb 2020 21:47:43 +0100

limnoria (2020.01.31-1) unstable; urgency=medium

  * New upstream version 2020.01.31.
  * Update Standards-Version to 4.5.0.

 -- Unit 193 <unit193@ubuntu.com>  Fri, 31 Jan 2020 18:40:53 -0500

## limnoria 2020.03.17

=== requirements.txt ===
--- 
+++ 
@@ -6,4 +6,4 @@
 sqlalchemy
 PySocks
 mock
-ecdsa
+cryptography

=== debian/changelog ===
limnoria (2020.03.17-1) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Update copyright.

  [ Unit 193 ]
  * New upstream version 2020.03.17

 -- Unit 193 <unit193@ubuntu.com>  Thu, 19 Mar 2020 18:50:36 -0400

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-setuptools,
  python3-tz <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/debian/limnoria.git
 Vcs-Browser: https://salsa.debian.org/debian/limnoria
 Homepage: https://github.com/ProgVal/Limnoria

## limnoria 2020.04.11

=== debian/changelog ===
limnoria (2020.04.11-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 07 May 2020 19:12:50 +0200

limnoria (2020.04.11-1) unstable; urgency=medium

  * New upstream version 2020.04.11
  * d/control, d/copyright: Update my email address.
  * d/control: Bump DH compat to 13.

 -- Unit 193 <unit193@debian.org>  Sun, 03 May 2020 10:20:53 -0400

## limnoria 2020.07.01

=== debian/changelog ===
limnoria (2020.07.01-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 06 Jul 2020 22:58:34 +0200

limnoria (2020.07.01-1) unstable; urgency=medium

  * New upstream version 2020.07.01.

 -- Unit 193 <unit193@debian.org>  Thu, 02 Jul 2020 20:34:10 -0400

## limnoria 2020.08.29

=== debian/changelog ===
limnoria (2020.08.29-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 05 Sep 2020 16:57:44 +0200

limnoria (2020.08.29-1) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Update copyright.

  [ Unit 193 ]
  * New upstream version 2020.08.29.

 -- Unit 193 <unit193@debian.org>  Thu, 03 Sep 2020 04:02:43 -0400

## limnoria 2020.08.30

=== debian/changelog ===
limnoria (2020.08.30-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 10 Sep 2020 13:19:38 +0200

limnoria (2020.08.30-1) unstable; urgency=medium

  * New upstream version 2020.08.30.

 -- Unit 193 <unit193@debian.org>  Tue, 08 Sep 2020 19:52:46 -0400

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Mattia Rizzolo <mattia@debian.org>
 Uploaders:
- Unit 193 <unit193@ubuntu.com>,
+ Unit 193 <unit193@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  iputils-ping <!nocheck>,
  procps,

## limnoria 2020.10.10

=== debian/changelog ===
limnoria (2020.10.10-1) unstable; urgency=medium

  * New upstream version 2020.10.10.
  * d/control:
    - Build-Depend and recommend python3-cryptography.
    - Drop python3-ecdsa from recommends.

 -- Unit 193 <unit193@debian.org>  Fri, 16 Oct 2020 01:22:45 -0400

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  iputils-ping <!nocheck>,
  procps,
  python3-all,
+ python3-cryptography <!nocheck>,
  python3-dateutil <!nocheck>,
  python3-feedparser <!nocheck>,
  python3-setuptools,
@@ -29,8 +30,8 @@
  iputils-ping,
  procps,
  python3-chardet,
+ python3-cryptography,
  python3-dateutil,
- python3-ecdsa,
  python3-feedparser,
  python3-gnupg,
  python3-socks,

## limnoria 2020.12.05

=== debian/changelog ===
limnoria (2020.12.05-1) unstable; urgency=medium

  * New upstream version 2020.12.05.
  * d/watch: Bump version to 4.
  * Update Standards-Version to 4.5.1.

 -- Unit 193 <unit193@debian.org>  Mon, 07 Dec 2020 18:47:34 -0500

=== debian/watch ===
version=4

opts=\
uversionmangle=s/([0-9]+)-([0-9]+)-([0-9]+)T.*/$1.$2.$3/,\
filenamemangle=s/limnoria-([\d.]+).tar/..\/limnoria_$1.orig.tar/,\
pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/limnoria/limnoria-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## limnoria 2021.01.15

=== debian/changelog ===
limnoria (2021.01.15-1) unstable; urgency=medium

  * New upstream version 2021.01.15.
  * d/watch:
    + Drop filnamemangle and let USCAN_SYMLINK=rename do the job.
    + Replace pgpsigurlmange=… with pgpmode=auto.
  * Claim copyright over debian/* for 2021 as well.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 25 Jan 2021 12:48:49 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-setuptools,
  python3-tz <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/debian/limnoria.git
 Vcs-Browser: https://salsa.debian.org/debian/limnoria
 Homepage: https://github.com/ProgVal/Limnoria

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=limnoria

%:
	dh $@ --with python3 --buildsystem pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	LC_ALL=C.UTF-8 \
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} \
		build/scripts-{version}/supybot-test \
		test \
		--no-setuid \
		--no-network \
		--plugins-dir={build_dir}/supybot/plugins/" \
	dh_auto_test
else
	@echo "Skipping test suite as DEB_BUILD_OPTIONS=nocheck is set"
endif

## limnoria 2021.04.11

=== debian/changelog ===
limnoria (2021.04.11-1) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * New upstream version 2021.04.11
  * Update d/copyright.
  * Build-Depend on dh-sequence-python3 and drop --with python3.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 17 Apr 2021 19:50:53 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export PYBUILD_NAME=limnoria
 
 %:
-	dh $@ --with python3 --buildsystem pybuild
+	dh $@ --buildsystem pybuild
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

## limnoria 2021.05.26

=== debian/changelog ===
limnoria (2021.05.26-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 25 Jun 2021 18:36:14 +0200

limnoria (2021.05.26-1) unstable; urgency=medium

  * New upstream version 2021.05.26.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 30 May 2021 17:12:24 +0200

limnoria (2021.05.24-1) unstable; urgency=medium

  * New upstream version 2021.05.24.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 27 May 2021 13:21:50 +0200

## limnoria 2021.06.15

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+setuptools
 chardet
 pytz
 python-dateutil

=== debian/changelog ===
limnoria (2021.06.15-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 15 Jul 2021 18:28:37 +0200

limnoria (2021.06.15-1) unstable; urgency=medium

  * New upstream version 2021.06.15.

 -- Unit 193 <unit193@debian.org>  Tue, 22 Jun 2021 22:36:03 -0400

## limnoria 2021.07.21

=== debian/changelog ===
limnoria (2021.07.21-1ubuntu2) impish; urgency=medium

  * Try to fix autopkgtest with a patch from upstream.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 19 Aug 2021 15:58:48 +0200

limnoria (2021.07.21-1ubuntu1) impish; urgency=medium

  * Add some debugging code to investigate the autopkgtest failure.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 19 Aug 2021 11:48:10 +0200

limnoria (2021.07.21-1) unstable; urgency=medium

  * New upstream version 2021.07.21.
  * Add a -v to the test invovations, as recommended by upstream.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 02 Aug 2021 12:53:23 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Unit 193 <unit193@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  iputils-ping <!nocheck>,
  procps,
  python3-all,

## limnoria 2021.10.9

=== requirements.txt ===
--- 
+++ 
@@ -8,3 +8,4 @@
 PySocks
 mock
 cryptography
+pyxmpp2-scram

=== debian/changelog ===
limnoria (2021.10.9-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 15 Oct 2021 12:43:44 +0200

limnoria (2021.10.9-1) unstable; urgency=medium

  * New upstream version 2021.10.9.
    + Drop patch applied upstream.
  * Include "The Limnoria Contributors" in d/copyright.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 10 Oct 2021 16:46:59 +0200

limnoria (2021.07.21-2) unstable; urgency=medium

  * Add patch from upstream to fix a racy autopkgtest failure.  LP: #1938957

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 22 Aug 2021 19:17:59 +0200

## limnoria 2021.11.9

=== debian/changelog ===
limnoria (2021.11.9-1) unstable; urgency=medium

  * New upstream version 2021.11.9.
  * d/copyright: Update attribution.

 -- Unit 193 <unit193@debian.org>  Fri, 19 Nov 2021 19:00:03 -0500

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-setuptools,
  python3-tz <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/debian/limnoria.git
 Vcs-Browser: https://salsa.debian.org/debian/limnoria
 Homepage: https://github.com/ProgVal/Limnoria

## limnoria 2021.11.20

=== debian/changelog ===
limnoria (2021.11.20-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Unit 193 <unit193@debian.org>  Tue, 23 Nov 2021 12:09:03 -0500

limnoria (2021.11.20-1) unstable; urgency=medium

  * New upstream version 2021.11.20.
    - Refresh patch.

 -- Unit 193 <unit193@debian.org>  Sat, 20 Nov 2021 23:48:11 -0500

## limnoria 2022.1.1.post1

=== debian/changelog ===
limnoria (2022.1.1.post1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 09 Jan 2022 14:05:33 +0100

limnoria (2022.1.1.post1-1) unstable; urgency=medium

  * New upstream version 2022.1.1.post1.
  * d/control:
    - Add libpython3-stdlib (>= 3.9) as primary alternative to python3-tz.

 -- Unit 193 <unit193@debian.org>  Wed, 05 Jan 2022 19:57:32 -0500

## limnoria 2022.1.29

=== debian/changelog ===
limnoria (2022.1.29-1) unstable; urgency=medium

  * New upstream version 2022.1.29.

 -- Unit 193 <unit193@debian.org>  Tue, 01 Feb 2022 20:15:55 -0500

## limnoria 2022.2.3

=== debian/changelog ===
limnoria (2022.2.3-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 05 Feb 2022 14:01:12 +0100

limnoria (2022.2.3-1) unstable; urgency=medium

  * New upstream version 2022.2.3.

 -- Unit 193 <unit193@debian.org>  Fri, 04 Feb 2022 03:35:57 -0500

## limnoria 2022.3.17

=== requirements.txt ===
setuptools
chardet
pytz;python_version<'3.9'
python-dateutil
python-gnupg
feedparser
PySocks
mock
cryptography
pyxmpp2-scram

=== debian/changelog ===
limnoria (2022.3.17-1) unstable; urgency=medium

  * New upstream version 2022.3.17.
  * d/copyright: Update years.

 -- Unit 193 <unit193@debian.org>  Sat, 19 Mar 2022 19:26:31 -0400

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-dateutil <!nocheck>,
  python3-feedparser <!nocheck>,
  python3-setuptools,
- python3-tz <!nocheck>,
+ libpython3-stdlib (>= 3.9) <!nocheck> | python3-tz <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/debian/limnoria.git
@@ -35,7 +35,7 @@
  python3-feedparser,
  python3-gnupg,
  python3-socks,
- python3-tz,
+ libpython3-stdlib (>= 3.9) | python3-tz,
 Conflicts:
  supybot,
 Description: robust and user-friendly Python IRC bot

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 	PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} \
 		build/scripts-{version}/supybot-test \
 		test \
+		-v \
 		--no-setuid \
 		--no-network \
 		--plugins-dir={build_dir}/supybot/plugins/" \

## limnoria 2022.4.27

=== debian/changelog ===
limnoria (2022.4.27-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 09 May 2022 09:14:42 +0200

limnoria (2022.4.27-1) unstable; urgency=medium

  * New upstream version 2022.4.27.

 -- Unit 193 <unit193@debian.org>  Fri, 29 Apr 2022 21:35:30 -0400

## limnoria 2022.6.23

=== debian/changelog ===
limnoria (2022.6.23-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Unit 193 <unit193@debian.org>  Wed, 13 Jul 2022 19:49:57 -0400

limnoria (2022.6.23-1) unstable; urgency=medium

  * New upstream version 2022.6.23.
  * Update Standards-Version to 4.6.1.

 -- Unit 193 <unit193@debian.org>  Tue, 05 Jul 2022 01:45:00 -0400

## limnoria 2022.8.7

=== debian/changelog ===
limnoria (2022.8.7-1~bpo22.04.1) jammy-backports; urgency=medium

  * No-change backport to jammy.

 -- Unit 193 <unit193@ubuntu.com>  Mon, 15 Aug 2022 22:50:34 -0400

limnoria (2022.8.7-1) unstable; urgency=medium

  * New upstream version 2022.8.7.

 -- Unit 193 <unit193@debian.org>  Sun, 14 Aug 2022 23:05:42 -0400

## limnoria 2022.9.20

=== debian/changelog ===
limnoria (2022.9.20-1~bpo22.04.1) jammy-backports; urgency=medium

  * No-change backport to jammy.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 29 Sep 2022 04:36:35 -0400

limnoria (2022.9.20-1) unstable; urgency=medium

  * New upstream version 2022.9.20.
    - Math: make @icalc fail early when result is too large (Closes: #1020096)

 -- Unit 193 <unit193@debian.org>  Wed, 28 Sep 2022 05:18:23 -0400

## limnoria 2022.11.10

=== requirements.txt ===
# mandatory:

setuptools

# optional core dependencies:

chardet                     # to detect encoding of incoming IRC lines, if they are not in UTF-8
python-gnupg                # for authenticated based on GPG tokens
PySocks                     # for SOCKS proxy (typically used to connect to IRC via Tor)
pyxmpp2-scram               # for the scram-sha-256 SASL mechanism

# optional plugin dependencies:

cryptography                # required to load the Fediverse plugin (used to implement HTTP signatures to support Mastodon instances with AUTHORIZED_FETCH=true)
feedparser                  # required to load the RSS plugin
pytz;python_version<'3.9'   # enables timezone manipulation in the Time and Geography plugins. On Python >=3.9, the standard library is used instead
python-dateutil             # enable fancy time string parsing in the Time plugin

=== debian/changelog ===
limnoria (2022.11.10-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 22 Nov 2022 06:37:42 +0100

limnoria (2022.11.10-1) unstable; urgency=medium

  * New upstream version 2022.11.10.

 -- Unit 193 <unit193@debian.org>  Fri, 18 Nov 2022 00:40:07 -0500

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-setuptools,
  libpython3-stdlib (>= 3.9) <!nocheck> | python3-tz <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/debian/limnoria.git
 Vcs-Browser: https://salsa.debian.org/debian/limnoria
 Homepage: https://github.com/ProgVal/Limnoria

## limnoria 2023.1.12

=== debian/changelog ===
limnoria (2023.1.12-1~bpo22.04.1) jammy-backports; urgency=medium

  * No-change backport to jammy.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 19 Jan 2023 04:55:21 -0500

limnoria (2023.1.12-1) unstable; urgency=medium

  * New upstream version 2023.1.12.
  * d/copyright: Bump years.
  * Update Standards-Version to 4.6.2.

 -- Unit 193 <unit193@debian.org>  Fri, 13 Jan 2023 03:10:06 -0500

## limnoria 2023.1.28

=== debian/changelog ===
limnoria (2023.1.28-1) unstable; urgency=medium

  * New upstream version 2023.1.28.

 -- Unit 193 <unit193@debian.org>  Sat, 11 Feb 2023 17:49:13 -0500

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-setuptools,
  libpython3-stdlib (>= 3.9) <!nocheck> | python3-tz <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/limnoria.git
 Vcs-Browser: https://salsa.debian.org/debian/limnoria
 Homepage: https://github.com/ProgVal/Limnoria

=== debian/tests/control ===
Tests: upstream-tests
Depends:
 @,
 @builddeps@,
Restrictions: allow-stderr

## limnoria 2023.4.28

=== debian/changelog ===
limnoria (2023.4.28-1) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * d/rules: Drop the nocheck check that is now taken care of by debhelper v13.

  [ Unit 193 ]
  * New upstream version 2023.4.28.
  * d/control, d/rules, d/t/upstream-tests:
    - B-D on pybuild-plugin-pyproject, update tests accordingly.

 -- Unit 193 <unit193@debian.org>  Wed, 24 May 2023 19:30:55 -0400

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  dh-sequence-python3,
  iputils-ping <!nocheck>,
  procps,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-cryptography <!nocheck>,
  python3-dateutil <!nocheck>,

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=limnoria

%:
	dh $@ --buildsystem pybuild

override_dh_auto_test:
	LC_ALL=C.UTF-8 \
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} \
		python{version} {build_dir}/supybot/scripts/limnoria_test.py \
		test \
		-v \
		--no-setuid \
		--no-network \
		--plugins-dir={build_dir}/supybot/plugins/" \
	dh_auto_test

## limnoria 2023.5.27

=== debian/changelog ===
limnoria (2023.5.27-1~bpo22.04.1) jammy-backports; urgency=medium

  * No-change backport to jammy.

 -- Unit 193 <unit193@ubuntu.com>  Wed, 14 Jun 2023 23:11:29 -0400

limnoria (2023.5.27-1) unstable; urgency=medium

  * New upstream version 2023.5.27.

 -- Unit 193 <unit193@debian.org>  Sat, 27 May 2023 18:28:16 -0400

## limnoria 2023.8.10

=== debian/changelog ===
limnoria (2023.8.10-1~bpo22.04.1) jammy-backports; urgency=medium

  * No-change backport to jammy.

 -- Unit 193 <unit193@ubuntu.com>  Sat, 12 Aug 2023 02:00:58 -0400

limnoria (2023.8.10-1) unstable; urgency=medium

  * New upstream version 2023.8.10.
  * d/control: Drop old tz alternative.

 -- Unit 193 <unit193@debian.org>  Thu, 10 Aug 2023 21:02:08 -0400

## limnoria 2023.9.24

=== debian/changelog ===
limnoria (2023.9.24-1~bpo22.04.1) jammy-backports; urgency=medium

  * No-change backport to jammy.

 -- Unit 193 <unit193@ubuntu.com>  Wed, 27 Sep 2023 01:56:50 -0400

limnoria (2023.9.24-1) unstable; urgency=medium

  * New upstream version 2023.9.24.
    - Drop upstream patch.

 -- Unit 193 <unit193@debian.org>  Tue, 26 Sep 2023 02:13:18 -0400

limnoria (2023.8.10-2) unstable; urgency=medium

  * Add patch from upstream to fix cleanup after tests.  Closes: #1046558

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 05 Sep 2023 11:00:57 +0530

## limnoria 2023.11.18

=== requirements.txt ===
--- 
+++ 
@@ -15,3 +15,4 @@
 feedparser                  # required to load the RSS plugin
 pytz;python_version<'3.9'   # enables timezone manipulation in the Time and Geography plugins. On Python >=3.9, the standard library is used instead
 python-dateutil             # enable fancy time string parsing in the Time plugin
+ddate                       # required for the ddate command in the Time plugin

=== debian/changelog ===
limnoria (2023.11.18-1) unstable; urgency=medium

  * New upstream version 2023.11.18.

 -- Unit 193 <unit193@debian.org>  Wed, 20 Dec 2023 01:18:58 -0500

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
  python3-dateutil <!nocheck>,
  python3-feedparser <!nocheck>,
  python3-setuptools,
- libpython3-stdlib (>= 3.9) <!nocheck> | python3-tz <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/limnoria.git
@@ -36,7 +35,6 @@
  python3-feedparser,
  python3-gnupg,
  python3-socks,
- libpython3-stdlib (>= 3.9) | python3-tz,
 Conflicts:
  supybot,
 Description: robust and user-friendly Python IRC bot

## limnoria 2024.4.26

=== debian/changelog ===
limnoria (2024.4.26-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Unit 193 <unit193@debian.org>  Tue, 14 May 2024 20:10:48 -0400

limnoria (2024.4.26-1) unstable; urgency=medium

  * New upstream version 2024.4.26.
  * Update Standards-Version to 4.7.0.

 -- Unit 193 <unit193@debian.org>  Mon, 06 May 2024 02:04:55 -0400

limnoria (2023.11.18-2) unstable; urgency=medium

  * Add a systemd user unit, thanks to Unit 193 for providing it.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 24 Apr 2024 07:59:48 +0200

## limnoria 2024.5.30

=== debian/changelog ===
limnoria (2024.5.30-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Unit 193 <unit193@debian.org>  Tue, 11 Jun 2024 22:17:33 -0400

limnoria (2024.5.30-1) unstable; urgency=medium

  * New upstream version 2024.5.30.

 -- Unit 193 <unit193@debian.org>  Thu, 06 Jun 2024 02:22:05 -0400

## limnoria 2024.7.24

=== debian/changelog ===
limnoria (2024.7.24-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Unit 193 <unit193@debian.org>  Tue, 06 Aug 2024 03:49:01 -0400

limnoria (2024.7.24-1) unstable; urgency=medium

  * New upstream version 2024.7.24.

 -- Unit 193 <unit193@debian.org>  Sun, 28 Jul 2024 15:39:44 -0400

## limnoria 2024.8.26

=== debian/changelog ===
limnoria (2024.8.26-1~bpo24.04.1) noble-backports; urgency=medium

  * No-change backport to noble.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 05 Sep 2024 04:55:52 -0400

limnoria (2024.8.26-1) unstable; urgency=medium

  * New upstream version 2024.8.26.

 -- Unit 193 <unit193@debian.org>  Thu, 29 Aug 2024 03:06:09 -0400

## limnoria 2024.10.19

=== debian/changelog ===
limnoria (2024.10.19-1) unstable; urgency=medium

  * New upstream version 2024.10.19.

 -- Unit 193 <unit193@debian.org>  Sat, 19 Oct 2024 17:17:18 -0400

## limnoria 2024.12.20

=== debian/changelog ===
limnoria (2024.12.20-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 17 Mar 2025 10:06:40 +0100

limnoria (2024.12.20-1) unstable; urgency=medium

  * New upstream version 2024.12.20.

 -- Unit 193 <unit193@debian.org>  Wed, 25 Dec 2024 19:00:33 -0500

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-feedparser <!nocheck>,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian/limnoria.git
 Vcs-Browser: https://salsa.debian.org/debian/limnoria
 Homepage: https://github.com/ProgVal/Limnoria

## limnoria 2025.5.3

=== Makefile ===
PYTHON=`which python3`
DESTDIR=/
PROJECT=limnoria

all:
	@echo "make source - Create source package"
	@echo "make install - Install on local system"
	@echo "make buildrpm - Generate a rpm package"
	@echo "make builddeb_py2 - Generate a deb package for Python 2"
	@echo "make builddeb_py3 - Generate a deb package for Python 3"
	@echo "make clean - Get rid of scratch and byte files"

test:
	PATH=./scripts/:${PATH} PYTHONPATH=. $(PYTHON) ./scripts/supybot-test test --plugins-dir=plugins/

source:
	$(PYTHON) setup.py sdist $(COMPILE)

install:
	$(PYTHON) setup.py install --root $(DESTDIR) $(COMPILE)

buildrpm:
	$(PYTHON) setup.py bdist_rpm

builddeb_py2:
	cp debian/control.py2 debian/control
	debuild -us -uc
	rm debian/control

builddeb_py3:
	cp debian/control.py3 debian/control
	debuild -us -uc
	rm debian/control

clean:
	$(PYTHON) setup.py clean
	$(MAKE) -f $(CURDIR)/debian/rules clean
	rm -rf build/ MANIFEST
	find . -name '*.pyc' -delete
	rm debian/control

.PHONY: test

=== debian/changelog ===
limnoria (2025.5.3-1) unstable; urgency=medium

  * New upstream version 2025.5.3.
  * d/copyright: Update years.
  * Update Standards-Version to 4.7.2.

 -- Unit 193 <unit193@debian.org>  Mon, 05 May 2025 01:24:57 -0400

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-feedparser <!nocheck>,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/limnoria.git
 Vcs-Browser: https://salsa.debian.org/debian/limnoria
 Homepage: https://github.com/ProgVal/Limnoria

## limnoria 2025.7.18

=== requirements.txt ===
--- 
+++ 
@@ -13,6 +13,5 @@
 
 cryptography                # required to load the Fediverse plugin (used to implement HTTP signatures to support Mastodon instances with AUTHORIZED_FETCH=true)
 feedparser                  # required to load the RSS plugin
-pytz;python_version<'3.9'   # enables timezone manipulation in the Time and Geography plugins. On Python >=3.9, the standard library is used instead
 python-dateutil             # enable fancy time string parsing in the Time plugin
 ddate                       # required for the ddate command in the Time plugin

=== debian/changelog ===
limnoria (2025.7.18-1) unstable; urgency=medium

  * New upstream version 2025.7.18.

 -- Unit 193 <unit193@debian.org>  Mon, 11 Aug 2025 04:57:24 -0400

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 		python{version} {build_dir}/supybot/scripts/limnoria_test.py \
 		test \
 		-v \
+		--clean-after \
 		--no-setuid \
 		--no-network \
 		--plugins-dir={build_dir}/supybot/plugins/" \

=== debian/watch ===
version=4

opts=\
uversionmangle=s/([0-9]+)-([0-9]+)-([0-9]+)T.*/$1.$2.$3/,\
pgpmode=auto \
https://pypi.debian.net/limnoria/limnoria-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## limnoria 2025.11.2

=== debian/changelog ===
limnoria (2025.11.2-1) unstable; urgency=medium

  * New upstream version 2025.11.2.

 -- Unit 193 <unit193@debian.org>  Sun, 09 Nov 2025 18:44:41 -0500

## limnoria 2026.1.16

=== debian/changelog ===
limnoria (2026.1.16-1) unstable; urgency=medium

  * New upstream version 2026.1.16.
    - Replace license qualifier with the dedicated 'license' field.
      Closes: #1123144
  * d/control: Drop 'priority' and R³, set by default.
  * d/copyright: Update years.
  * Update Standards-Version to 4.7.3.

 -- Unit 193 <unit193@debian.org>  Mon, 26 Jan 2026 02:19:43 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: limnoria
 Section: net
-Priority: optional
 Maintainer: Mattia Rizzolo <mattia@debian.org>
 Uploaders:
  Unit 193 <unit193@debian.org>,
@@ -15,8 +14,7 @@
  python3-dateutil <!nocheck>,
  python3-feedparser <!nocheck>,
  python3-setuptools,
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/debian/limnoria.git
 Vcs-Browser: https://salsa.debian.org/debian/limnoria
 Homepage: https://github.com/ProgVal/Limnoria
